package com.njcn.gather.report.pojo.enums;

import lombok.Getter;

/**
 *
 * 本枚举用于记录模板中关键字的含义
 * 比如 ${manufacturer} 对应的设备厂家
 *
 * @author hongawen
 * @version 1.0
 * @data 2025/3/24 14:34
 *
 * */
@Getter
public enum BaseReportKeyEnum {

    DEV_TYPE("devType","设备型号、规格"),
    DEV_CODE("createId","装置编号"),
    DEV_NAME("devName","装置名称"),
    POWER("power","工作电源"),
    DEV_CURR("devCurr","额定电流"),
    DEV_VOLT("devVolt","额定电压"),
    SOURCE_NAME("sourceName","检测源名称"),
    COUNT("count","通道数"),
    MANUFACTURER("manufacturer","设备厂家、制造厂商"),
    SAMPLE_ID("sampleId","样品编号"),
    ARRIVED_DATE("arrivedDate","收样日期"),
    ARRIVED_DATE_C("arrivedDateC","收样日期"),
    TEST_DATE("testDate","检测日期"),
    TEST_DATE_C("testDateC","检测日期"),
    INSPECTOR("inspector","检测员"),
    YEAR("year","年份"),
    MONTH("month","月份"),
    DAY("day","日"),
    YEAR_MONTH_DAY("year-month-day","年-月-日"),
    YEAR_MONTH_DAY_UP("year-month-day-up","中文数字 年-月-日"),
    REPORT_DATE("reportDate","年-月-日"),
    GD_NAME("gdName","供电部门"),
    SUB_NAME("subName","变电站"),
    CHECK_BY("checkBy","检测人"),
    AUDIT_BY("auditBy","负责人、审核人"),
    ERROR_SYS_NAME("errorSysName","误差体系"),
    CREATE_DATE("createDate","生产日期"),
    TEMPERATURE("temp","温度"),
    HUMIDITY("hum","相对湿度"),
    DELEGATE("delegate","委托方"),
    CREATEDATE("createDate","出厂日期"),
    HW_VERSION("hardwareVersion","硬件版本"),
    SW_VERSION("softwareVersion","软件版本");

    private String key;

    private String desc;

    BaseReportKeyEnum(String key, String desc) {
        this.key = key;
        this.desc = desc;
    }
}
